org.apache.cayenne.access

## Class ToManySet

- java.lang.Object
- - org.apache.cayenne.util.RelationshipFault
  - - org.apache.cayenne.util.PersistentObjectSet
    - - org.apache.cayenne.access.ToManySet

- All Implemented Interfaces:
    Serializable, Iterable, Collection, Set, PersistentObjectCollection, ValueHolder

      public class ToManySet
      extends PersistentObjectSet
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.util.PersistentObjectSet

      `addedToUnresolved, objectSet, removedFromUnresolved`

    - ### Fields inherited from class org.apache.cayenne.util.RelationshipFault

      `relationshipName, relationshipOwner`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ToManySet(Persistent relationshipOwner, String relationshipName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `postprocessAdd(Collection<?> collection)`
    `protected void` | `postprocessAdd(Object addedObject)`
    `protected void` | `postprocessRemove(Collection<?> collection)`
    `protected void` | `postprocessRemove(Object removedObject)`
    `protected boolean` | `shouldAddToRemovedFromUnresolvedSet(Object object)`
    `protected void` | `updateReverse(List resolved)`

    - ### Methods inherited from class org.apache.cayenne.util.PersistentObjectSet

      `add, addAll, addDirectly, clear, contains, containsAll, equals, getValue, getValueDirectly, hashCode, invalidate, isEmpty, isFault, iterator, mergeLocalChanges, remove, removeAll, removeDirectly, resolvedObjectSet, retainAll, setObjectSet, setValue, setValueDirectly, size, toArray, toArray, toString`

    - ### Methods inherited from class org.apache.cayenne.util.RelationshipFault

      `getRelationshipName, getRelationshipOwner, isTransientParent, isUncommittedParent, resolveFromDB`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `spliterator`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### ToManySet

          protected ToManySet(Persistent relationshipOwner,
                              String relationshipName)

  - ### Method Detail

    - #### shouldAddToRemovedFromUnresolvedSet

          protected boolean shouldAddToRemovedFromUnresolvedSet(Object object)

      Overrides:
        `shouldAddToRemovedFromUnresolvedSet` in class `PersistentObjectSet`

    - #### postprocessAdd

          protected void postprocessAdd(Collection<?> collection)

      Overrides:
        `postprocessAdd` in class `PersistentObjectSet`

    - #### postprocessRemove

          protected void postprocessRemove(Collection<?> collection)

      Overrides:
        `postprocessRemove` in class `PersistentObjectSet`

    - #### postprocessAdd

          protected void postprocessAdd(Object addedObject)

      Overrides:
        `postprocessAdd` in class `PersistentObjectSet`

    - #### postprocessRemove

          protected void postprocessRemove(Object removedObject)

      Overrides:
        `postprocessRemove` in class `PersistentObjectSet`

    - #### updateReverse

          protected void updateReverse(List resolved)

      Overrides:
        `updateReverse` in class `RelationshipFault`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.